var options = {
          series: [
          {
            data: [
              {
                x: 'INTC',
                y: 1.2
              },
              {
                x: 'GS',
                y: 0.4
              },
              {
                x: 'CVX',
                y: -1.4
              },
              {
                x: 'GE',
                y: 2.7
              },
              {
                x: 'CAT',
                y: -0.3
              },
              {
                x: 'RTX',
                y: 5.1
              },
              {
                x: 'CSCO',
                y: -2.3
              },
              {
                x: 'JNJ',
                y: 2.1
              },
              {
                x: 'PG',
                y: 0.3
              },
              {
                x: 'TRV',
                y: 0.12
              },
              {
                x: 'MMM',
                y: -2.31
              },
              {
                x: 'NKE',
                y: 3.98
              },
              {
                x: 'IYT',
                y: 1.67
              }
            ]
          }
        ],
          legend: {
          show: false
        },
        chart: {
          height: 350,
          type: 'treemap'
        },
        title: {
          text: 'Treemap with Color scale'
        },
        dataLabels: {
          enabled: true,
          style: {
            fontSize: '12px',
          },
          formatter: function(text, op) {
            return [text, op.value]
          },
          offsetY: -4
        },
        plotOptions: {
          treemap: {
            enableShades: true,
            shadeIntensity: 0.5,
            reverseNegativeShade: true,
            colorScale: {
              ranges: [
                {
                  from: -6,
                  to: 0,
                  color: '#CD363A'
                },
                {
                  from: 0.001,
                  to: 6,
                  color: '#52B12C'
                }
              ]
            }
          }
        }
        };

        var chart = new ApexCharts(document.querySelector("#chart"), options);
        chart.render();
      
      
    

Stay Updated

Get the latest news, updates and what's coming next! Sign up for our Newsletter here.

Thank You! You are signed up.

There was an error while trying to send your request. Please try again.

ApexCharts.js will use the information you provide on this form to be in touch with you and to provide updates and marketing.

const ApexChart = () => {
        const [state, setState] = React.useState({
          
            series: [
              {
                data: [
                  {
                    x: 'INTC',
                    y: 1.2
                  },
                  {
                    x: 'GS',
                    y: 0.4
                  },
                  {
                    x: 'CVX',
                    y: -1.4
                  },
                  {
                    x: 'GE',
                    y: 2.7
                  },
                  {
                    x: 'CAT',
                    y: -0.3
                  },
                  {
                    x: 'RTX',
                    y: 5.1
                  },
                  {
                    x: 'CSCO',
                    y: -2.3
                  },
                  {
                    x: 'JNJ',
                    y: 2.1
                  },
                  {
                    x: 'PG',
                    y: 0.3
                  },
                  {
                    x: 'TRV',
                    y: 0.12
                  },
                  {
                    x: 'MMM',
                    y: -2.31
                  },
                  {
                    x: 'NKE',
                    y: 3.98
                  },
                  {
                    x: 'IYT',
                    y: 1.67
                  }
                ]
              }
            ],
            options: {
              legend: {
                show: false
              },
              chart: {
                height: 350,
                type: 'treemap'
              },
              title: {
                text: 'Treemap with Color scale'
              },
              dataLabels: {
                enabled: true,
                style: {
                  fontSize: '12px',
                },
                formatter: function(text, op) {
                  return [text, op.value]
                },
                offsetY: -4
              },
              plotOptions: {
                treemap: {
                  enableShades: true,
                  shadeIntensity: 0.5,
                  reverseNegativeShade: true,
                  colorScale: {
                    ranges: [
                      {
                        from: -6,
                        to: 0,
                        color: '#CD363A'
                      },
                      {
                        from: 0.001,
                        to: 6,
                        color: '#52B12C'
                      }
                    ]
                  }
                }
              }
            },
          
          
        });

        

        return (
          <div>
            <div id="chart">
                <ReactApexChart options={state.options} series={state.series} type="treemap" height={350} />
              </div>
            <div id="html-dist"></div>
          </div>
        );
      }

      const domContainer = document.querySelector('#app');
      ReactDOM.render(<ApexChart />, domContainer);
    


      <div id="chart">
  <ReactApexChart options={state.options} series={state.series} type="treemap" height={350} />
</div>
    

Stay Updated

Get the latest news, updates and what's coming next! Sign up for our Newsletter here.

Thank You! You are signed up.

There was an error while trying to send your request. Please try again.

ApexCharts.js will use the information you provide on this form to be in touch with you and to provide updates and marketing.